Default Cluster does not autoconnect after a fresh install

Bug #1380927 reported by Andres Rodriguez on 2014-10-14
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
MAAS
Critical
Gavin Panella

Bug Description

maas-clusterd stop/pre-start, process 9459
A shared-secret has not been installed for this cluster.
Obtain the secret from the region controller and install
with `maas-provision install-shared-secret`.
maas-clusterd stop/pre-start, process 10131
Removing stale pidfile /run/maas-cluster.pid
Removing stale pidfile /run/maas-cluster.pid
Removing stale pidfile /run/maas-cluster.pid
Removing stale pidfile /run/maas-cluster.pid
Removing stale pidfile /run/maas-cluster.pid

==> /var/log/maas/pserv.log <==
2014-10-14 09:46:43+0200 [ClusterClient,client] Event-loop 'unleashed:pid=9094' handshake failed; dropping connection.
        Traceback (most recent call last):
        Failure: twisted.protocols.amp.UnknownRemoteError: Code<UNKNOWN>: Unknown Error

2014-10-14 09:46:43+0200 [ClusterClient,client] ClusterClient connection lost (HOST:IPv4Address(TCP, '127.0.0.1', 57938) PEER:IPv4Address(TCP, u'127.0.0.1', 53999))
2014-10-14 09:46:43+0200 [ClusterClient,client] ClusterClient connection lost (HOST:IPv4Address(TCP, '127.0.0.1', 57938) PEER:IPv4Address(TCP, u'127.0.0.1', 53999))
2014-10-14 09:46:43+0200 [ClusterClient,client] Logged OOPS id OOPS-307cac1f72b9e1b97454a7ab83192ef9: UnknownRemoteError: Code<UNKNOWN>: Unknown Error

roaksoax@unleashed:/var/lib/maas⟫ sudo cat secret
bebab958b56b1135c03b4f53a0904b16

Related branches

Changed in maas:
importance: Undecided → Critical
milestone: none → 1.7.0
description: updated
description: updated
Andres Rodriguez (andreserl) wrote :

Something weird I noticed. I upgraded MAAS to the version containing the fix for bug #1380932, and fixing this allowed the cluster to register. So it seems that there's an issue with the Cluster failing to register if something else is affecting it.

Blake Rouse (blake-rouse) wrote :

I noticed this with fresh install bzr2345. I was able to start the cluster with just "sudo service maas-clusterd start" and it worked. Something in packaging is not starting it correctly.

Changed in maas:
status: New → Confirmed
Jason Hobbs (jason-hobbs) wrote :

I see this with 1.7.0~beta6+bzr3232-0ubuntu1~trusty1. maas-clusterd is running, so the issue with maas-clusterd not being started may be a separate issue.

Changed in maas:
status: Confirmed → Triaged
Julian Edwards (julian-edwards) wrote :

Poking at Gavin for his attention.

Changed in maas:
assignee: nobody → Gavin Panella (allenap)
Gavin Panella (allenap) on 2014-10-15
Changed in maas:
status: Triaged → In Progress
Raphaël Badin (rvb) on 2014-10-17
Changed in maas:
status: In Progress → Fix Committed
Changed in maas:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers